[![Contributors][contributors-shield]][contributors-url]
[![Forks][forks-shield]][forks-url]
[![Stargazers][stars-shield]][stars-url]
[![Issues][issues-shield]][issues-url]
[![MIT License][license-shield]][license-url]


<!-- PROJECT LOGO -->
<br />
<div align="center">
  <a href="https://github.com/logspace-ai/wavy">
    <img src="https://github.com/logspace-ai/wavy/blob/main/images/logo.png?raw=true" alt="Logo" width="419" height="235">
  </a>

  <h3 align="center">Wavy</h3>

  <p align="center">
    Time Series Done The Right Way
    <br />
    <a href="https://github.com/logspace-ai/wavy"><strong>Explore the docs »</strong></a>
    <br />
    <br />
    <a href="https://github.com/logspace-ai/wavy">View Demo</a>
    ·
    <a href="https://github.com/logspace-ai/wavy/issues">Report Bug</a>
    ·
    <a href="https://github.com/logspace-ai/wavy/issues">Request Feature</a>
  </p>
</div>


<!-- ABOUT THE PROJECT -->
## About The Project

Wavy is a library to facilitate time series analysis.


### Built With

* [Python](https://www.python.org/)
* [TensorFlow](https://www.tensorflow.org/)
* [Pandas](https://pandas.pydata.org/)
* [scikit-learn](https://scikit-learn.org/stable/index.html)
* [Plotly](https://plotly.com/python/)
* [NumPy](https://numpy.org/)


<!-- GETTING STARTED -->
## Getting Started

This is an example of how you may give instructions on setting up your project locally.
To get a local copy up and running follow these simple example steps.


### Installation


```sh
pip install wavyts
```


<!-- USAGE EXAMPLES -->
## Usage

Use this space to show useful examples of how a project can be used. Additional screenshots, code examples and demos work well in this space. You may also link to more resources.

_For more examples, please refer to the [Documentation](https://example.com)_


<!-- ROADMAP -->
## Roadmap

- [ ] Finish documentation
- [ ] Migrate models to pytorch
- [ ] Add Tutorials
    - [ ] Bovespa
    - [ ] S&P
    - [ ] Bitcoin


See the [open issues](https://github.com/logspace-ai/wavy/issues) for a full list of proposed features (and known issues).


<!-- CONTRIBUTING -->
## Contributing

Contributions are what make the open source community such an amazing place to learn, inspire, and create. Any contributions you make are **greatly appreciated**.

If you have a suggestion that would make this better, please fork the repo and create a pull request. You can also simply open an issue with the tag "enhancement".
Don't forget to give the project a star! Thanks again!

1. Fork the Project
2. Create your Feature Branch (`git checkout -b feature/AmazingFeature`)
3. Commit your Changes (`git commit -m 'Add some AmazingFeature'`)
4. Push to the Branch (`git push origin feature/AmazingFeature`)
5. Open a Pull Request


<!-- LICENSE -->
## License

Distributed under the MIT License. See `LICENSE.txt` for more information.


<!-- MARKDOWN LINKS & IMAGES -->
<!-- https://www.markdownguide.org/basic-syntax/#reference-style-links -->
[contributors-shield]: https://img.shields.io/github/contributors/logspace-ai/wavy.svg?style=for-the-badge
[contributors-url]: https://github.com/logspace-ai/wavy/graphs/contributors
[forks-shield]: https://img.shields.io/github/forks/logspace-ai/wavy.svg?style=for-the-badge
[forks-url]: https://github.com/logspace-ai/wavy/network/members
[stars-shield]: https://img.shields.io/github/stars/logspace-ai/wavy.svg?style=for-the-badge
[stars-url]: https://github.com/logspace-ai/wavy/stargazers
[issues-shield]: https://img.shields.io/github/issues/logspace-ai/wavy.svg?style=for-the-badge
[issues-url]: https://github.com/logspace-ai/wavy/issues
[license-shield]: https://img.shields.io/github/license/logspace-ai/wavy.svg?style=for-the-badge
[license-url]: https://github.com/logspace-ai/wavy/blob/main/LICENSE.txt
[product-screenshot]: images/screenshot.png
